package org.ros.chatto.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import lombok.Getter;

@Component
@PropertySource(value = "classpath:git.properties")
@Getter
public class BuildInfo {
    private final String buildVersion;
    private final String branchName;

    public BuildInfo(@Value("${git.build.version") String buildVersion,
            @Value("${git.branch") String branchName) {
        this.buildVersion = buildVersion;
        this.branchName = branchName;
    }

}